org.apache.sling.commons.osgi

## Class ManifestHeader

- java.lang.Object
- - org.apache.sling.commons.osgi.ManifestHeader

    public class ManifestHeader
    extends Object

This is a helper class to parse manifest header entries.

### Nested Class Summary

Nested Classes
`static interface` `ManifestHeader.Entry` A header can have several entries separated by comma.
`static class` `ManifestHeader.NameValuePair` Directives and attributes are simple name/value pairs.
`protected static class` `ManifestHeader.PathImpl`

### Constructor Summary

Constructors
Constructor and Description
`ManifestHeader()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ManifestHeader.Entry[]` `getEntries()`
`static ManifestHeader` `parse(String header)` Parse headers Like this: path; path; dir1:=dirval1; dir2:=dirval2; attr1=attrval1; attr2=attrval2, path; path; dir1:=dirval1; dir2:=dirval2; attr1=attrval1; attr2=attrval2 The returned object maintains the order of entries (paths), directives and attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManifestHeader

    public ManifestHeader()

### Method Detail

#### getEntries

    public ManifestHeader.Entry[] getEntries()

Returns:
  Return the entries for this header.

#### parse

    public static ManifestHeader parse(String header)

Parse headers Like this: path; path; dir1:=dirval1; dir2:=dirval2; attr1=attrval1; attr2=attrval2, path; path; dir1:=dirval1; dir2:=dirval2; attr1=attrval1; attr2=attrval2 The returned object maintains the order of entries (paths), directives and attributes.

Parameters:
  `header` - Header name
Returns:
  Parsed header or null if not found